Deep Security Manager REST API

Path: / rest / hosts / {hostId} / components

List the Components of the host. Components are patterns, rule updates, manifests, etc.., , typically items that are visible on the ComputerEditor->Updates page.

Path parameters:
hostId - Identifying Host ID

Method Summary
ResourceDescription
GET /rest/hosts/{hostId}/components?sID=…List the Components of the host.

Method Detail
HTTP Example:
GET /rest/hosts/{hostId}/components?sID=…

API Example:

IHostAPI.retrieveHostComponents({'sID': /* sID Authentication session token ID. */,
  'hostId': /* hostId Identifying Host ID */});

List the Components of the host. Components are patterns, rule updates, manifests, etc.., , typically items that are visible on the ComputerEditor->Updates page.

Output:
ComponentListing - the list of components
Query parameters:
sID - Authentication session token ID.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.